/**
 * Created by rray on 6/7/15.
 */
// jQuery for page scrolling feature - requires jQuery Easing plugin
$(function() {
    $('a.page-scroll').bind('click', function(event) {
        var $anchor = $(this);
        $('html, body').stop().animate({
            scrollTop: $($anchor.attr('href')).offset().top
        }, 1000, 'easeInOutExpo');
        event.preventDefault();
    });
});

// jQuery to collapse the navbar on scroll
$(document).scroll(function() {
    if ($(this).scrollTop() > 505) {
        $('.navbar-fixed').fadeIn(200);
    } else {
        $('.navbar-fixed').fadeOut(0);
    }
});

// scroll to top upon refresh
$(document).ready(function(){
    $('html').animate({scrollTop:0}, 1000, 'easeInOutExpo');
    $('body').animate({scrollTop:0}, 1000, 'easeInOutExpo');
});
